module ArrayBased.Messages exposing (..)

import InputTable.Messages exposing (..)
import Http
import ArrayBased.Model exposing (..)


type Msg
    = Table (TableMsg RowData (List Question))
    | UpdateDataFromServer (Result Http.Error DataFromServer)
    | RecievePostNotification (Result Http.Error PostReply)
    | RecieveColumnsPostNotification (Result Http.Error String)
    | RecieveSideTablePostNotification (Result Http.Error String)
