module Decisions.Messages exposing (..)

import InputTable.Messages exposing (..)
import Http
import Decisions.Model exposing (..)


type Msg
    = Table (TableMsg RowData String)
    | SetDecisionFilter DecisionFilter
    | UpdateDataFromServer (Result Http.Error DataFromServer)
    | RecievePostNotification (Result Http.Error String)
    | ToggleShowBulkDecisions
    | SetBulkDecisionsText String
    | ToggleBulkDecisionsDropdown
    | SelectBulkDecision String (Maybe String)
    | ViewBulkDecisionDropdownChildren String
    | HandleUrlQuery String
