module UtilsTest exposing (all)

import Expect
import Test exposing (Test, test, describe)
import Utils
import Date


all : Test
all =
    describe "Utils provide a collection of functions to be used in other modules"
        [ -- uncomment when #31 is resolved
          -- test "displayTimeStamp should display a timestamp in a format that fits into cells" <|
          --     \() ->
          --         let
          --             timestampString =
          --                 Date.fromString "2008-09-15T15:53:11"
          --                     |> Result.withDefault (Date.fromTime 0)
          --                     |> Date.toTime
          --                     |> toString
          --         in
          --             Expect.equal
          --                 (Utils.displayTimeStamp timestampString)
          --                 "15th Sep 08, 16:53"
          -- ,
          test "displayTimeStamp should display a blank string if the input is not a stringified Int" <|
            \() ->
                Expect.equal
                    (Utils.displayTimeStamp "this is not an Int")
                    ""
        ]
